GNU bug report logs - #33637
[PATCH] gnu: python: Update to 3.7.1.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Christopher Baines <mail@HIDDEN>; Keywords: patch; dated Wed, 5 Dec 2018 21:20:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 33637 <at> debbugs.gnu.org:


Received: (at 33637) by debbugs.gnu.org; 9 Dec 2018 12:14:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 09 07:14:41 2018
Received: from localhost ([127.0.0.1]:39285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVxyr-00034a-5v
	for submit <at> debbugs.gnu.org; Sun, 09 Dec 2018 07:14:41 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:36584
 helo=mira.cbaines.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gVxyp-00034S-CO
 for 33637 <at> debbugs.gnu.org; Sun, 09 Dec 2018 07:14:40 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id B71A316885; Sun,  9 Dec 2018 12:14:38 +0000 (GMT)
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on mira.cbaines.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=5.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=ham autolearn_force=no version=3.4.0
Received: from localhost (unknown [82.113.183.179])
 by mira.cbaines.net (Postfix) with ESMTPSA id 30AED167B2;
 Sun,  9 Dec 2018 12:14:37 +0000 (GMT)
Received: from phact (localhost.localdomain [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id b7e0d7a9;
 Sun, 9 Dec 2018 12:14:17 +0000 (UTC)
References: <20181205211933.15313-1-mail@HIDDEN>
 <87o99vsjsk.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Christopher Baines <mail@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: [bug#33637] [PATCH] gnu: python: Update to 3.7.1.
In-reply-to: <87o99vsjsk.fsf@HIDDEN>
Date: Sun, 09 Dec 2018 12:14:13 +0000
Message-ID: <87a7leyk16.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 33637
Cc: 33637 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Marius Bakke <mbakke@HIDDEN> writes:

> Christopher Baines <mail@HIDDEN> writes:
>
>> Remove the replacement, as version 3.7.1 includes the fix for this issue.
>>
>> * gnu/packages/python.scm (python-3.7): Update to 3.7.1.
>> (python-3/fixed): Remove this.
>
> OK for 'core-updates', thanks!
>
> (I suppose we should rename the -next branch too, can you do it?)

Great, I've renamed the branch now (hopefully correctly), and I've also
pushed this patch to the newly created core-updates (was
core-updates-next) branch.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKTBAEBCgB9FiEEPonu50WOcg2XVOCyXiijOwuE9XcFAlwNBxZfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcACgkQXiijOwuE
9Xeccg//UybmLE7/I+mTjR8DDVSUoPdc/Xl5UgrptcxtzTpes5YXpzxA8OtNYDrL
cSKoTrt3tgc+edLT9elKnDaE1nX23Oe7FnilBT0jgXETDKipHR4Sx9/40B/B2hVP
Oyou11eRJg3+px8IwaOZBVVly6sNwYwlrGcL9DX+5+a1HfhT3Wv0vK58tvx/gMMv
BMQMSPTizBZ8m4KVjHVpRUg0Wdt7PtAVHiqW6tpcczD5oCDc7Eb40JtDZpnI+Fv5
+gQqRjalka0YKd+nz5of0UYKQ4CYEuvlmJbYIb8Xk6ZiGhqsrrg6PvsjzuHbw7CJ
BYWQK+6/qfcpDGY7Ufw6rmGgnDRKMowe0hjku7Q8AmwibjGpTceh0NKmGR1uNzig
9tAc5oDiIeJfE9I8Zz2ysUKb5BFyRj/wgw7TyHLNGWUIukC9Mf6g82brp4IFvNYo
RWVav2EY9/tzUr19R2WIJXllIfK4OBiYU9xnwvmpGiZ6hmgPXVZq5wVhpEbl5Qmk
fKiPj+Ya4JrcS4eT7mtiMUcKoy0vlfhgOHeZuOI9FHP4Pwnib7t5QCWGCIDugFTr
lkiZqiw6fdfyVhtSdlIIf2ATDGCpiKM1koHoHO8m4Dy6VZwvyRJqd0V8oaKtb+dM
e/Jy2BMv0n8ZT/ZTIkEdNV9CgERcOiiXS5ar2PrKuMq3fXTZqiw=
=4Hp+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33637; Package guix-patches. Full text available.

Message received at 33637 <at> debbugs.gnu.org:


Received: (at 33637) by debbugs.gnu.org; 8 Dec 2018 23:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 08 18:03:49 2018
Received: from localhost ([127.0.0.1]:38898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVldV-0007mR-Au
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:03:49 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:57675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1gVldT-0007mE-NZ
 for 33637 <at> debbugs.gnu.org; Sat, 08 Dec 2018 18:03:48 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 4F92621221;
 Sat,  8 Dec 2018 18:03:42 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Sat, 08 Dec 2018 18:03:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=g51+y/6O1hAnrYv5TpXsd8vTrd
 w71o9+TOaqiikTzBo=; b=DTLwgKvlVO9Wa2IbfM+aJyfWxzJRjoUR8hhLa9/F0r
 zuL74ZK+gT0y6zpZig2S5tY6O04LOP+y1A6coOKFnLPsHj2hdk8Cy3GAk47U8Qku
 XBEaZVaXl5BXf7uCDg2sasJbA4waoGzC0u0vDG+qjypGo9jbFHWYsc1lWcL1Eqbw
 jtAjBclW0WO9k1YX9OUtgXsMI9ExkyjX3jHqvro/TYQFyDw24A5lXU4erWuw9pDM
 bXKgekH73fm/fHm7i7xi1W8JmYuHnYvDkb/alF/NBxjC3r2TnmVewSbVfWK9NbIG
 TCXV+xhVGpbSn77MoJT02pTbxiPEnTRi45cPnivVMIYA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=g51+y/
 6O1hAnrYv5TpXsd8vTrdw71o9+TOaqiikTzBo=; b=LVEOfR7gKW1cCdtJMAxizy
 dbkPoHGIS6qSHaajlbUd0KqMyHCvFqmCQGHz2wcUISJCb+C86T8mnsDAoj73MnTc
 9wEx6FxEqeXpW0Au0qm937ouRcXbv6O8PzF5wjF2c0LX9yp/k/K/CEkB5w2Jbp9B
 7P3LcrvsVtdqt66ge8DCm6y4JyMVnbTCU7elL5C5InO9IvsQMZ9F+zNhKdRH7Bgc
 aCTEEy/+hwFpS52t/uUsB+mCFfO/3Zd9qEI2pXpMVX0lotUDJshNQ6zHI+KPyFf7
 ZZMhc/7ryQjG7UlhKOLLUxbXNt7eiy7k5I3LUjIFhFoN6EoghhFoiAMwYZZUcxtw
 ==
X-ME-Sender: <xms:zU0MXOzBM3o3Y8s_fiddHeCYiNoDLYiVpEsh7rhAGgMFLBacv9FD5g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtkedrudeguddgudeilecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfhuthenuceurghilhhouhhtmecu
 fedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtreertdertdenucfhrhhomh
 epofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhmrghilhdrtghomheq
 necukfhppeeivddrudeirddvvdeirddugedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 hmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrhfuihiivgepud
X-ME-Proxy: <xmx:zU0MXPLsFJ8Ack8mGf46X07j5x-SXTg76XzxDayBFXMgPiZeknOcNg>
 <xmx:zU0MXHGWDKIeARfZ7Iv78_s5dWdsdWVPcf7G9niitYUdg7RLGoeVvQ>
 <xmx:zU0MXAPUbkU3tgAzAn2gaGHkPWLI4YmRwid5F5x7WfikDok2p7c6tA>
 <xmx:zU0MXB8IS6EsAGvhl3_tZirrA0cWp5Rdb_w3QxEwWCK-EOfIxD8MHA>
 <xmx:zU0MXN6hmkN0rYc-lLWWH5ZqLxwaUm5YreoIUVCTDDX41xPLSRQ7WQ>
 <xmx:zk0MXFt8wS20pSvXaH7cvuRO7_q4d-uwhtTp-18fKJ1cYXcH5gRHfA>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 61BA0102E0;
 Sat,  8 Dec 2018 18:03:41 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: Christopher Baines <mail@HIDDEN>, 33637 <at> debbugs.gnu.org
Subject: Re: [bug#33637] [PATCH] gnu: python: Update to 3.7.1.
In-Reply-To: <20181205211933.15313-1-mail@HIDDEN>
References: <20181205211933.15313-1-mail@HIDDEN>
User-Agent: Notmuch/0.28 (https://notmuchmail.org) Emacs/26.1
 (x86_64-pc-linux-gnu)
Date: Sun, 09 Dec 2018 00:03:39 +0100
Message-ID: <87o99vsjsk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33637
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Christopher Baines <mail@HIDDEN> writes:

> Remove the replacement, as version 3.7.1 includes the fix for this issue.
>
> * gnu/packages/python.scm (python-3.7): Update to 3.7.1.
> (python-3/fixed): Remove this.

OK for 'core-updates', thanks!

(I suppose we should rename the -next branch too, can you do it?)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAlwMTcsACgkQoqBt8qM6
VPoHlQgAsbkjlBUp+GDkFH0l2bDOvp9nDd3jD6Eeaz0Ws8fp7WEkca/qDqZdLPAx
O8N2XjtqWC2FGj+gi69shHq/k2oKf+60LI1kKYbEv6z0KANmMVxk3PrxCZA6n5tz
tQQMoE8eI1w+dPyVWzpVttGq6+um727uFbubd5M7Jdp351h/BnQC8r2BtU5syCFV
a5N7zcUmd7xHTg7BbGsjePX8FdIzPIiO7NQjNqoUOiyw9OjLbvvj6ZXXU078cdwv
VJ8wh2DZrj8ZAMjpCGy+vQPrF/ythbExv/karkXJeDITAi5WhK2XpbARf0Ttw2BQ
Lgcoh8UUBkwNgZumQI9GQkiEAOJYIQ==
=g14O
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#33637; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2018 21:19:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 05 16:19:51 2018
Received: from localhost ([127.0.0.1]:34700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUeaF-0005mZ-Lo
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 16:19:51 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59205)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gUeaB-0005mJ-In
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 16:19:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gUea5-0002xZ-8u
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 16:19:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42428)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gUea5-0002xT-5J
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 16:19:41 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40567)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gUea3-0007nW-CL
 for guix-patches@HIDDEN; Wed, 05 Dec 2018 16:19:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gUea0-0002tt-0Y
 for guix-patches@HIDDEN; Wed, 05 Dec 2018 16:19:39 -0500
Received: from li622-129.members.linode.com ([212.71.249.129]:43370
 helo=mira.cbaines.net) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gUeZz-0002sm-O0
 for guix-patches@HIDDEN; Wed, 05 Dec 2018 16:19:35 -0500
Received: by mira.cbaines.net (Postfix, from userid 113)
 id AD3EF16850; Wed,  5 Dec 2018 21:19:33 +0000 (GMT)
Received: from localhost (cpc102582-walt20-2-0-cust14.13-2.cable.virginm.net
 [86.27.34.15])
 by mira.cbaines.net (Postfix) with ESMTPSA id 62C6616842
 for <guix-patches@HIDDEN>; Wed,  5 Dec 2018 21:19:33 +0000 (GMT)
Received: from localhost (localhost [local])
 by localhost (OpenSMTPD) with ESMTPA id c4e1200e
 for <guix-patches@HIDDEN>; Wed, 5 Dec 2018 21:19:33 +0000 (UTC)
From: Christopher Baines <mail@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: python: Update to 3.7.1.
Date: Wed,  5 Dec 2018 21:19:33 +0000
Message-Id: <20181205211933.15313-1-mail@HIDDEN>
X-Mailer: git-send-email 2.19.2
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Remove the replacement, as version 3.7.1 includes the fix for this issue.

* gnu/packages/python.scm (python-3.7): Update to 3.7.1.
(python-3/fixed): Remove this.
---
 gnu/packages/python.scm | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index d0401b7bd..1abf2e816 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -343,8 +343,7 @@ data types.")
 (define-public python-3.7
   (package (inherit python-2)
     (name "python")
-    (version "3.7.0")
-    (replacement python-3/fixed)
+    (version "3.7.1")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://www.python.org/ftp/python/"
@@ -357,7 +356,7 @@ data types.")
               (patch-flags '("-p0"))
               (sha256
                (base32
-                "0j9mic5c9lbd2b20wka7hily7szz740wy9ilfrczxap63rnrk0h3"))
+                "0v9x4h22rh5cwpsq1mwpdi3c9lc9820lzp2nmn9g20llij72nzps"))
               (snippet
                '(begin
                   (for-each delete-file
@@ -416,14 +415,6 @@ data types.")
 ;; Current 3.x version.
 (define-public python-3 python-3.7)
=20
-(define python-3/fixed
-  (package
-    (inherit python-3)
-    (source (origin
-              (inherit (package-source python-3))
-              (patches (append (origin-patches (package-source python-3)=
)
-                               (search-patches "python-CVE-2018-14647.pa=
tch")))))))
-
 ;; Current major version.
 (define-public python python-3)
=20
--=20
2.19.2





Acknowledgement sent to Christopher Baines <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#33637; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Dec 2018 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.